{
	"info": "",
	"field": {
		"co_company_id": [
			["_code_CLEAN", ["co_company_id"]],
			["co_sLYHENNE"],
			[
				"if", ["g.co_lCopyIdToPriceGroup", "=", "true"],
				[
					["co_price_group", "=", ["co_company_id"]]
				]
			]
		],
		"co_name": [
			["co_name", "=", ["_str_Format", ["co_name"]]],
			["co_TEE_TEKSTIOSO"]
		],
		"co_company_number": [
			["co_scASIAKAS_NUM"]
		],
		"co_info": [],
		"co_address": [
			["co_address", "=", ["_str_Format", ["co_address"]]],
			["co_TEE_TEKSTIOSO"]
		],
		"co_post_code": [
			["co_post_code", "=", ["_str_Format", ["co_post_code"]]],
			["_co_tPostOffice", "=", ["co__PostCode", ["co_post_code"]]],
			[
				"if", ["_co_tPostOffice", "<>", ""],
				[
					["co_post_code", "=", ["_str_Parse", ["_co_tPostOffice", "ksSpace", "1"]]],
					["co_post_office", "=", ["_str_LastParse", ["_co_tPostOffice", "ksSpace", "2"]]]
				],
				"else",
				[
					[
						"if", ["co_postcode", "<>", ""],
						[
							["_err_CRY", ["_lang_Current", ["concat", ["Post_code_was_not_found", ": ", "co_post_code"]]]]
						]
					]
				]
			],
			["co_TEE_TEKSTIOSO"]

		],
		"co_post_office": [
			["co_post_office", "=", ["_str_Format", ["post_office"]]],
			["co_TEE_TEKSTIOSO"]
		],
		"co_telephone_area_code": [],
		"co_telephone_number": [],
		"co_fax_area_code": [],
		"co_fax_number": [],
		"co_name_2": [
			["co_name_2", "=", ["_str_Format", ["co_name_2"]]],
			["co_TEE_TEKSTIOSO"]
		],
		"co_terms_of_payment_id": [],
		"co_country": [
			["co_TEE_TEKSTIOSO"]
		],
		"co_language": [],
		"co_currency_id": [],
		"co_foreign_company": [],
		"co_text_address": [],
		"co_invoice_company_id": [],
		"co_default_sales_person_id": [],
		"co_delivery_company_id": [],
		"co_group_1": [],
		"co_order_discount_percentage": [],
		"co_payment_delay": [],
		"co_your_reference": [],
		"co_way_of_delivery": [],
		"co_invoice_number_serie": [],
		"co_row_discount_percentage": [],
		"co_supplier_number": [],
		"co_abc_class": [],
		"co_vat_number": [],
		"co_term_of_delivery": [],
		"co_is_collection_invoice": [],
		"co_group_2": [],
		"co_group_3": [],
		"co_creation_date": [],
		"co_last_modification_date": [],
		"co_email": [],
		"co_cumulative_sales": [],
		"co_stock_position": [],
		"co_send_type": [],
		"co_trade_registry_number": [],
		"co_bank_account": [
			[
				"if", ["co_bank_account", "<>", ""],
				[
					["_ap_tErr", "=", ["bank__AccountNumberCheck", ["co_bank_account"]]],
					[
						"if", ["_ap_tErr", "<>", ""],
						[
							["_err_MESSAGE", ["_ap_tErr", "Current_method_name", "true"]],
							[
								"if", ["_el_InInput", "=", "true"],
								[
									["REJECT", ["co_bank_account"]]
								]
							]
						]
					]
				]
			]
		],
		"co_foreign_sales_price_in_use": [],
		"co_www": [],
		"co_swift_code": [],
		"co_price_group": [],
		"co_type": [],
		"co_state": [],
		"co_sales_order_code_id": [],
		"co_extra_cost_to_invoice": [],
		"co_work_advance_days": [],
		"co_credit_limit": [
			[
				"if", ["co_credit_limit", "<", "0"],
				[
					["OBJECT_SET_COLOR", ["co_credit_limit", ["256", "*", "3", "-", "0"]]]
				],
				[
					["OBJECT_SET_COLOR", ["co_credit_limit", ["256", "*", "0", "-", "15"]]]
				]
			]
		],
		"co_cost_center": [],
		"co_allowed_delivery_advance": [],
		"co_allowed_delivery_delay": [],
		"co_electronic_invoice_address": [],
		"co_employee_count": [],
		"co_capacity_multiplier": [],
		"co_extra_time_multiplier": [],
		"co_transfer_id": [],
		"co_freight_charges_payer": [],
		"co_covenant": [],
		"co_accountable_person_id": [],
		"co_waybill_customer_number": [],
		"co_waybill_deal_number": [],
		"co_area": []
	},
	"function": {
		"co_TEE_TEKSTIOSO": [
			["co_text_address", "=", "co_name"],
			[
				"if", ["co_name_2", "<>", ""],
				[
					["co_text_address", "=", ["concat", ["co_text_address", "\n", "co_name_2"]]]
				]
			],
			[
				"if", ["co_address", "<>", ""],
				[
					["co_text_address", "=", ["concat", ["co_text_address", "\n", "co_address"]]]
				]
			],
			[
				"if", ["co_post_code", "<>", ""],
				[
					["co_text_address", "=", ["concat", ["co_text_address", "\n", "co_post_office"]]],
					[
						"if", ["co_post_office", "<>", ""],
						[
							["co_text_address", "=", ["concat", ["co_text_address", " ", "co_post_office"]]]
						]
					]
				],
				"else",
				[
					"if", ["co_post_office", "<>", ""],
					[
						["co_text_address", "=", ["concat", ["co_text_address", "\n", "co_post_office"]]]
					]
				]
			],
			[
				"if", ["co_country", "<>", ""],
				["co_text_address", "=", ["concat", ["co_text_address", "\n", "co_country"]]]
			]
		],
		"co_scASIAKAS_NUM": [
			["co_company_number", "=", ["String",[["Num", ["co_company_number"]], ["0", "*", "_code_RunningNumLength"]]]]
		],
		"co_sLYHENNE ---- ??, tyhjä!": [
		]
	}
}
